local Deadened = LibStub("AceAddon-3.0"):GetAddon("Deadened")
local mod = Deadened:NewModule("Quartz", "AceHook-3.0")

local Quartz = LibStub("AceAddon-3.0"):GetAddon("Quartz3", true)

function mod:OnEnable(module)
	if self:MenuHide() then return end

	local QuartzTarget = Quartz:GetModule("Target")
	if not self:IsHooked(QuartzTarget, "PreShowCondition") then
		self:RawHook(QuartzTarget, "PreShowCondition")
	end
end

function mod:MenuHide()
	return not Quartz or not Quartz:GetModuleEnabled("Target")
end

function mod:PreShowCondition(obj, bar, unit)
	local spell = UnitCastingInfo(unit)
	if Deadened:IsDeaden(spell) then
		return true
	end
	return self.hooks[obj].PreShowCondition(obj, bar, unit)
end
